> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Mastercard credential account



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/mastercard/credentials
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/mastercard/credentials:
    post:
      tags:
        - Mastercard Crypto Credentials
      summary: Create a Mastercard credential account
      operationId: MastercardProxyController_createAccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MastercardCreateAccountDto'
      responses:
        '201':
          description: Account created successfully.
      security:
        - bearer: []
components:
  schemas:
    MastercardCreateAccountDto:
      type: object
      properties:
        accountAlias:
          type: string
          maxLength: 255
          description: The account alias (e.g. email address).
          example: user@example.com
        aliasType:
          enum:
            - EMAIL
            - PHONE_NUMBER
            - DOMAIN_NAME
          type: string
          description: The type of alias.
          example: EMAIL
        status:
          enum:
            - ACTIVE
            - SUSPEND
            - DECOMMISSIONED
          type: string
          description: The initial status of the account.
          example: ACTIVE
        kycLevel:
          enum:
            - LEVEL_1
            - LEVEL_2
            - LEVEL_3
          type: string
          description: The KYC level for the account.
          example: LEVEL_1
        addressLine1:
          type: string
          maxLength: 255
          description: Address line 1.
        addressLine2:
          type: string
          maxLength: 255
          description: Address line 2.
        city:
          type: string
          maxLength: 255
          description: City.
        state:
          type: string
          maxLength: 255
          description: State or province.
        country:
          type: string
          maxLength: 255
          description: Country code.
        postalCode:
          type: string
          maxLength: 255
          description: Postal code.
      required:
        - accountAlias
        - aliasType
        - status
        - kycLevel
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````